summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authordavidovski <david@davidovski.xyz>2022-05-28 19:33:12 +0100
committerdavidovski <david@davidovski.xyz>2022-05-28 19:33:12 +0100
commitfa4ce7ed9fea7f050d3d4ad7fc08daa392b08f95 (patch)
treeb3594358219de59cd4ab5974d716b4308dfdd364
parent44a5cf53a706ea03d1457350c8cb4f267b6e3481 (diff)
parent072ec9b4489017b272ff221c19b8af795ef70e47 (diff)
Merge branch 'master' of git.cheetah.remote:xilinux/xipkg
-rwxr-xr-xsrc/xi.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/src/xi.sh b/src/xi.sh
index c241585..cf05297 100755
--- a/src/xi.sh
+++ b/src/xi.sh
@@ -211,6 +211,17 @@ else
shift
file_info $@
;;
+ "info")
+ shift
+ for package in $@; do
+ infofile=${INSTALLED_DIR}/$package/info
+ [ -f $infofile ] && {
+ cat $infofile
+ } || {
+ printf "Package info for $package could not be found!"
+ }
+ done
+ ;;
"verify")
shift
[ -z "$*" ] && set -- $(ls ${INSTALLED_DIR})